Beta
List invoice line items
Returns a paginated list of the line items for an invoice.
Use this endpoint to retrieve all line items when the Invoice response does not include the complete list, or when you need the individual amounts that contribute to the invoice total.
Related guides: Invoices and Subscriptions
Path Parameters
- Type: stringidmax length:100required
Query Parameters
- Type: integerlimitmin:1max:100
Integer numbers.
- Type: stringlast
_key Opaque cursor for pagination. Use the
last_keyvalue from the previous response to retrieve the next page.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/v1/invoices/{id}/lines
curl 'https://api.paypercut.io/v1/invoices/{id}/lines' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"object": "list",
"items": [
{
"id": "string",
"invoice": "string",
"amount": 100,
"currency": "EUR",
"description": "string",
"quantity": 1,
"period": {
"start": "2026-07-28T08:24:41.380Z",
"end": "2026-07-28T08:24:41.380Z"
},
"parent": {
"type": "subscription_item_details",
"subscription_item_details": {
"subscription": "string",
"subscription_item": "string"
}
},
"pricing": {
"price": "string",
"product": "string"
},
"metadata": {
"additionalProperty": "string"
},
"object": "invoice_line_item"
}
],
"last_key": null,
"url": "string"
}
